Page MenuHomePhabricator

Newsletter Extension GSoC project weekly reports
Closed, ResolvedPublic

Description

Weekly meetings: every Thursday at 10:30 UTC (4pm IST, 12:30 CEST, 3:30 PST) in #wikimedia-ect IRC.

Week 1: May 25 - May 31

  1. Created T100125, T100492 which are the first features I'll be working on.
  2. Created T100604 for stakeholder outreach which is due this week.
  3. Started coding for T100125 from mid of this week. Also checked out https://www.mediawiki.org/wiki/Style_guide/Forms and https://www.mediawiki.org/wiki/OOjs_UI

Week 2: June 1 - June 7

  1. Started working on T100125 and T101505
  2. Implemented the code produced ( in local machine ) in vagrant. Find initial interface for publishers here
  3. Weekly meeting at #wikimedia-ect on June 5th - discussed on stakeholder outreach, weekly meetings.
  4. Created tasks for two other features - T101505 and T101546
  5. Pushed first patch to gerrit for T100125. Patch can be found here.

Week 3: June 8 - June 14

  1. Worked further on 'Create newsletter' feature (T100125). Uploaded patchsets 2, 3 and 4.
  2. Started working on 'Announce newsletter' feature (T101505), decided on the fields required for issues table, wrote required SQL queries. Patch yet to be uploaded.
  3. There's been a lot of positive responses to the stakeholder outreach on T100604 and also on my talk pages on different wikis. Replied to all of them, redirected those who didn't want to use phabricator to this page

Week 4: June 15 - June 21

  1. Merged patches of T100125 and T101505. Updated vagrant with corresponding changes. See http://newsletter-test.wmflabs.org/wiki/Special:NewsletterCreate and http://newsletter-test.wmflabs.org/wiki/Special:NewsletterManage
  2. Send out patches to fix minor glitches ( already merged, thanks Tony! ) - Add confirmation message for creation of newsletters and announcing of issues and Add error message for duplicate newsletters
  3. Started working on next feature, T100492. Created 'nl_subscriptions' table, decided on fields and HTML form structure of Special:Newsletters.

Week 5: June 22 - June 28

  1. Merged patches for T100492
  2. Pushed patches for T101546 and eventually merged.
  3. Pushed patches for small bugs - T103588, T103813
  4. Deployed all the features in http://newsletter-test.wmflabs.org/
  5. Closed MVP :) - T99784

Week 6: June 29 - July 5

  1. End of Midterm evaluation.
  2. Worked on implementing a table in Special: Newsletters. Still trying implement the table using TablePager and referring extensions like AbuseFilter, Special: ListFiles.
  3. Created tasks for blockers to be discussed on next weekly meeting - T104570 and T104829
  4. Lots of travelling.

Week 7: July 6 - July 12

  1. Pushed initial skeleton patch for T103813.
  2. Working on implementing check boxes inside the table for subscribe/unsubscribe functions
  3. Decided on the blockers to be closed by July end and arranged them in MediaWiki-extensions-Newsletter

Week 8: July 13 - July 19

  1. Added third column 'Actions' in the table in Special: Newsletters page
  2. Worked on implementing radio buttons inside the 'Action' column and run database queries when state of radio button changes. Related patchset : https://gerrit.wikimedia.org/r/#/c/223951/2/includes/SpecialNewsletters.php
  3. Worked on creating new API for the Newsletter extension which will do the database query when the radio button changes.

Week 9: July 20 - July 26

  1. Continued working on T103813 - Now the table has 4 columns including subscriber count of each newsletter. Discussed on different possibilities of UI for the page.
  2. Worked on having an HTML form implemented as a fallback mechanism for non-JS users but eventually decided to put down the task for later - https://gerrit.wikimedia.org/r/#/c/223951/6/includes/SpecialNewsletters.php,unified
  3. Started working on T104829

Week 10: July 27 - August 2

  1. Started working on T101832
  2. Decided on tasks to be completed ASAP - https://phabricator.wikimedia.org/tag/mediawiki-extensions-newsletter/
  3. Added new section to Special: NewsletterManage and pushed patches - https://gerrit.wikimedia.org/r/228789

Week 11: August 3 - August 9

  1. Closed T108284
  2. Pushed patches for few design changes of T101832
  3. Started discussions and preparations for T102945
  4. Added new tasks - T108456, T108205, T108202

Week 12: August 10 - August 16

  1. Closed tasks T101832 and T108456
  2. Added unit tests - T108202
  3. Pushed patches for adding extension to translatewiki.net - T102945

Week 13: August 17 - August 23

  1. Closed T102945
  2. Completed Wrap up report - T109288
  3. Completed necessary documentation for the final evaluation.

Related Objects

Event Timeline

Tinaj1234 created this task.Jun 1 2015, 4:10 PM
Tinaj1234 claimed this task.
Tinaj1234 raised the priority of this task from to Normal.
Tinaj1234 updated the task description. (Show Details)
Tinaj1234 added subscribers: Ekumahost, Vickyjim5, jayvdb and 34 others.
Qgil renamed this task from Weekly Reports to Newsletter Extension GSoC project weekly reports.Jun 1 2015, 6:56 PM
Qgil set Security to None.
Tinaj1234 updated the task description. (Show Details)Jun 8 2015, 3:30 PM
Tinaj1234 updated the task description. (Show Details)
Qgil added a comment.EditedJun 16 2015, 8:38 AM

@Tinaj1234, please remember to post your weekly report. This and the updates on tasks are my primary source of information about your progress. Thank you!

Tinaj1234 updated the task description. (Show Details)Jun 16 2015, 9:12 AM
Qgil updated the task description. (Show Details)Jun 16 2015, 9:52 AM
Tinaj1234 updated the task description. (Show Details)Jun 21 2015, 10:16 PM
Tinaj1234 updated the task description. (Show Details)Jul 2 2015, 2:03 PM
Tinaj1234 updated the task description. (Show Details)Jul 7 2015, 9:40 PM
Tinaj1234 updated the task description. (Show Details)Jul 12 2015, 10:37 AM
Tinaj1234 updated the task description. (Show Details)Jul 21 2015, 1:53 AM
Tinaj1234 updated the task description. (Show Details)Jul 30 2015, 1:29 PM
Tinaj1234 updated the task description. (Show Details)Aug 5 2015, 3:17 PM
Tinaj1234 updated the task description. (Show Details)Aug 8 2015, 4:46 PM
Tinaj1234 updated the task description. (Show Details)Aug 17 2015, 4:05 PM
Tinaj1234 updated the task description. (Show Details)Aug 23 2015, 6:22 AM
Qgil added a comment.Aug 24 2015, 8:06 AM

Thank you! And... done?

We plan to continue the project beyond GSoC, but we will not need the weekly reports anymore.

01tonythomas closed this task as Resolved.Aug 24 2015, 8:15 AM

Thank you! And... done?
We plan to continue the project beyond GSoC, but we will not need the weekly reports anymore.

Yeah. Closing it right now. Nice work @Tinaj1234!